> For the complete documentation index, see [llms.txt](https://docs.emsigner.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.emsigner.com/apis/api-reference/workflows-and-signing/signature-types.md).

# Signature Types

## GET /api/Public/GetSignatureTypes

> Signature types

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"GetSignatureTypes"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/api/Public/GetSignatureTypes":{"get":{"tags":["GetSignatureTypes"],"responses":{"200":{"description":"OK"}},"summary":"Signature types","operationId":"get_GetSignatureTypes"}}}}
```

## GET /api/Public/GetSignatureTypes/admin-assigned

> Admin assigned

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"GetSignatureTypes"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/api/Public/GetSignatureTypes/admin-assigned":{"get":{"tags":["GetSignatureTypes"],"responses":{"200":{"description":"OK"}},"summary":"Admin assigned","operationId":"get_GetSignatureTypes_admin_assigned"}}}}
```

## GET /api/Public/GetSignatureTypes/admin-assigned-auth-types

> Admin assigned auth types

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"GetSignatureTypes"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/api/Public/GetSignatureTypes/admin-assigned-auth-types":{"get":{"tags":["GetSignatureTypes"],"responses":{"200":{"description":"OK"}},"summary":"Admin assigned auth types","operationId":"get_GetSignatureTypes_admin_assigned_auth_types"}}}}
```
